<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:43 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>DebugProjectExplorerNodeVisitor (org.eclipse.papyrus.designer.languages.java.reverse.ui 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DebugProjectExplorerNodeVisitor (org.eclipse.papyrus.designer.languages.java.reverse.ui 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DebugProjectExplorerNodeVisitor.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ui/DebugProjectExplorerNodeVisitor.html" target="_top">Frames</a></li>
<li><a href="DebugProjectExplorerNodeVisitor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.reverse.ui</div>
<h2 title="Class DebugProjectExplorerNodeVisitor" class="title">Class DebugProjectExplorerNodeVisitor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.reverse.ui.DebugProjectExplorerNodeVisitor</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui">IProjectExplorerNodeVisitor</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DebugProjectExplorerNodeVisitor</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui">IProjectExplorerNodeVisitor</a></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>dumoulin</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/DebugProjectExplorerNodeVisitor.html#DebugProjectExplorerNodeVisitor--">DebugProjectExplorerNodeVisitor</a></span>()</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/DebugProjectExplorerNodeVisitor.html#postVisit--">postVisit</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/DebugProjectExplorerNodeVisitor.html#preVisit--">preVisit</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/DebugProjectExplorerNodeVisitor.html#visitIClassFile-org.eclipse.jdt.core.IClassFile-">visitIClassFile</a></span>(org.eclipse.jdt.core.IClassFile&nbsp;node)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/DebugProjectExplorerNodeVisitor.html#visitIClasspathContainer-org.eclipse.jdt.core.IClasspathContainer-">visitIClasspathContainer</a></span>(org.eclipse.jdt.core.IClasspathContainer&nbsp;node)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/DebugProjectExplorerNodeVisitor.html#visitICompilationUnit-org.eclipse.jdt.core.ICompilationUnit-">visitICompilationUnit</a></span>(org.eclipse.jdt.core.ICompilationUnit&nbsp;node)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/DebugProjectExplorerNodeVisitor.html#visitIJavaProject-org.eclipse.jdt.core.IJavaProject-">visitIJavaProject</a></span>(org.eclipse.jdt.core.IJavaProject&nbsp;node)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/DebugProjectExplorerNodeVisitor.html#visitIPackageFragment-org.eclipse.jdt.core.IPackageFragment-">visitIPackageFragment</a></span>(org.eclipse.jdt.core.IPackageFragment&nbsp;node)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/DebugProjectExplorerNodeVisitor.html#visitIPackageFragmentRoot-org.eclipse.jdt.core.IPackageFragmentRoot-">visitIPackageFragmentRoot</a></span>(org.eclipse.jdt.core.IPackageFragmentRoot&nbsp;node)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/DebugProjectExplorerNodeVisitor.html#visitIProject-org.eclipse.core.resources.IProject-">visitIProject</a></span>(org.eclipse.core.resources.IProject&nbsp;node)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DebugProjectExplorerNodeVisitor--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DebugProjectExplorerNodeVisitor</h4>
<pre>public&nbsp;DebugProjectExplorerNodeVisitor()</pre>
<div class="block">Constructor.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="visitICompilationUnit-org.eclipse.jdt.core.ICompilationUnit-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visitICompilationUnit</h4>
<pre>public&nbsp;void&nbsp;visitICompilationUnit(org.eclipse.jdt.core.ICompilationUnit&nbsp;node)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitICompilationUnit-org.eclipse.jdt.core.ICompilationUnit-">visitICompilationUnit</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui">IProjectExplorerNodeVisitor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - </dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitICompilationUnit-org.eclipse.jdt.core.ICompilationUnit-"><code>IProjectExplorerNodeVisitor.visitICompilationUnit(org.eclipse.jdt.core.ICompilationUnit)</code></a></dd>
</dl>
</li>
</ul>
<a name="visitIClassFile-org.eclipse.jdt.core.IClassFile-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visitIClassFile</h4>
<pre>public&nbsp;void&nbsp;visitIClassFile(org.eclipse.jdt.core.IClassFile&nbsp;node)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitIClassFile-org.eclipse.jdt.core.IClassFile-">visitIClassFile</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui">IProjectExplorerNodeVisitor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - </dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitIClassFile-org.eclipse.jdt.core.IClassFile-"><code>IProjectExplorerNodeVisitor.visitIClassFile(org.eclipse.jdt.core.IClassFile)</code></a></dd>
</dl>
</li>
</ul>
<a name="visitIPackageFragment-org.eclipse.jdt.core.IPackageFragment-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visitIPackageFragment</h4>
<pre>public&nbsp;void&nbsp;visitIPackageFragment(org.eclipse.jdt.core.IPackageFragment&nbsp;node)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitIPackageFragment-org.eclipse.jdt.core.IPackageFragment-">visitIPackageFragment</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui">IProjectExplorerNodeVisitor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - </dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitIPackageFragment-org.eclipse.jdt.core.IPackageFragment-"><code>IProjectExplorerNodeVisitor.visitIPackageFragment(org.eclipse.jdt.core.IPackageFragment)</code></a></dd>
</dl>
</li>
</ul>
<a name="visitIPackageFragmentRoot-org.eclipse.jdt.core.IPackageFragmentRoot-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visitIPackageFragmentRoot</h4>
<pre>public&nbsp;void&nbsp;visitIPackageFragmentRoot(org.eclipse.jdt.core.IPackageFragmentRoot&nbsp;node)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitIPackageFragmentRoot-org.eclipse.jdt.core.IPackageFragmentRoot-">visitIPackageFragmentRoot</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui">IProjectExplorerNodeVisitor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - </dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitIPackageFragmentRoot-org.eclipse.jdt.core.IPackageFragmentRoot-"><code>IProjectExplorerNodeVisitor.visitIPackageFragmentRoot(org.eclipse.jdt.core.IPackageFragmentRoot)</code></a></dd>
</dl>
</li>
</ul>
<a name="visitIClasspathContainer-org.eclipse.jdt.core.IClasspathContainer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visitIClasspathContainer</h4>
<pre>public&nbsp;void&nbsp;visitIClasspathContainer(org.eclipse.jdt.core.IClasspathContainer&nbsp;node)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitIClasspathContainer-org.eclipse.jdt.core.IClasspathContainer-">visitIClasspathContainer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui">IProjectExplorerNodeVisitor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - </dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitIClasspathContainer-org.eclipse.jdt.core.IClasspathContainer-"><code>IProjectExplorerNodeVisitor.visitIClasspathContainer(org.eclipse.jdt.core.IClasspathContainer)</code></a></dd>
</dl>
</li>
</ul>
<a name="visitIProject-org.eclipse.core.resources.IProject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visitIProject</h4>
<pre>public&nbsp;void&nbsp;visitIProject(org.eclipse.core.resources.IProject&nbsp;node)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitIProject-org.eclipse.core.resources.IProject-">visitIProject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui">IProjectExplorerNodeVisitor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - </dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitIProject-org.eclipse.core.resources.IProject-"><code>IProjectExplorerNodeVisitor.visitIProject(org.eclipse.core.resources.IProject)</code></a></dd>
</dl>
</li>
</ul>
<a name="visitIJavaProject-org.eclipse.jdt.core.IJavaProject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visitIJavaProject</h4>
<pre>public&nbsp;void&nbsp;visitIJavaProject(org.eclipse.jdt.core.IJavaProject&nbsp;node)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitIJavaProject-org.eclipse.jdt.core.IJavaProject-">visitIJavaProject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui">IProjectExplorerNodeVisitor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - </dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#visitIJavaProject-org.eclipse.jdt.core.IJavaProject-"><code>IProjectExplorerNodeVisitor.visitIJavaProject(org.eclipse.jdt.core.IJavaProject)</code></a></dd>
</dl>
</li>
</ul>
<a name="postVisit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>postVisit</h4>
<pre>public&nbsp;void&nbsp;postVisit()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#postVisit--">postVisit</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui">IProjectExplorerNodeVisitor</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#postVisit--"><code>IProjectExplorerNodeVisitor.postVisit()</code></a></dd>
</dl>
</li>
</ul>
<a name="preVisit--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>preVisit</h4>
<pre>public&nbsp;void&nbsp;preVisit()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#preVisit--">preVisit</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui">IProjectExplorerNodeVisitor</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html#preVisit--"><code>IProjectExplorerNodeVisitor.preVisit()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DebugProjectExplorerNodeVisitor.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/IProjectExplorerNodeVisitor.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ui/DebugProjectExplorerNodeVisitor.html" target="_top">Frames</a></li>
<li><a href="DebugProjectExplorerNodeVisitor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
